%global _hardened_build 1
%bcond_without flxmlrpc

Name:           flrig
Version:        1.3.24
Release:        1%{?dist}
Summary:        Transceiver control program

License:        GPLv3+
URL:            http://www.w1hkj.com/
Source0:        http://downloads.sourceforge.net/fldigi/%{name}-%{version}.tar.gz

BuildRequires:  fltk-devel >= 1.3.0
%if %{with flxmlrpc}
BuildRequires:  flxmlrpc-devel >= 0.1.0
%endif
BuildRequires:  desktop-file-utils

# xdg-open is used in src/main.cxx
Requires:       xdg-utils


%description
Flrig is a transceiver control program designed to be used either stand alone or
as an adjunct to fldigi.  The supported transceivers all have some degree of
CAT.  The flrig user interface changes to accommodate the degree of CAT support
available for the transceiver in use. 


%prep
%setup -q

%if %{with flxmlrpc}
# Remove bundled xmlrpc library.
rm -rf src/xmlrpcpp
%endif


%build
%configure
make %{?_smp_mflags}


%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%{!?_licensedir:%global license %doc}
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Fri Jan 22 2016 Richard Shaw <hobbes1069@gmail.com> - 1.3.24-1
- Update to latest upstream release.

* Mon Nov 30 2015 Richard Shaw <hobbes1069@gmail.com> - 1.3.23-1
- Update to latest upstream release.

* Tue May  5 2015 Richard Shaw <hobbes1069@gmail.com> - 1.3.22-1
- Update to latest upstream release.
- Build with external xmlrpc library.
- Update spec to use license macro where appropriate.

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.3.21-2
- Rebuilt for GCC 5 C++11 ABI change

* Fri Mar 27 2015 Richard Shaw <hobbes1069@gmail.com> - 1.3.21-1
- Update to latest upstream release.

* Sun Mar 22 2015 Richard Shaw <hobbes1069@gmail.com> - 1.3.20-1
- Update to latest upstream release.

* Thu Feb 19 2015 Rex Dieter <rdieter@fedoraproject.org> 1.3.19-2
- rebuild (fltk)

* Fri Dec 26 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.19-1
- Update to latest upstream release.

* Sun Dec 07 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.18-1
- Update to latest upstream release.

* Thu Oct 16 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.17-1
- Update to latest upstream release.

* Thu Aug  7 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.16-2
- Add xdg-open to package requirements.

* Sun Jun  8 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.16-1
- Update to latest upstream release.

* Sun Feb  2 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.15-1
- Initial packaging.
